<?php include("../../include/dbconnect.php");  

// Get all _POST VALUES HERE..

  foreach($_POST as $p=>$t)
  {
     $_POST[$p] = trim($t);
  }

  $myBuyer = $_POST['Buyer'];
  
  ?>
<body background="../../images/fibermat.gif"><center>
<h2><b> <font face="Arial, Helvetica, sans-serif">View / Edit Supplier / Buyer</font></font></font></h2>
<font face="Arial, Helvetica, sans-serif">
<?php

// Pull all the data from Buyer master & populate it

$stQuery = mysqli_query($conn,"select distinct buyertype from buy");

?></font>
<form name='myForm01' method='POST' action='<?=$_SERVER['PHP_SELF']?>'> 
<SELECT name='Buyer'   onChange="javascript:submit();">
  <?
     echo "<option selected value=\" 0\"> Select Buyer Type";
    while($row = mysqli_fetch_row($stQuery))
    {

		$temp = $row[0];
        if(isset($myBuyer) && preg_match("/" . preg_quote($myBuyer, '/')."/", $row[0]))
	    {
            echo "<option selected value=\"$row[0]\">$temp";
        }
        else{
            echo "<option value=\"$row[0]\">$temp";
        }
    }
?>
</SELECT></td></tr>
</font> <form> <center> 
<?

$query = "select distinct record,bcode,buyertype,name,address1,address2,city as district,state,country,pin,email,cst as pan,tin,gstin,taxtype,state_code,std,telno,mobile,contact,active,incentive,credit_days,discount from buy  where buyertype = '$myBuyer' group by record order by name";

$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query failed: " . mysqli_error($conn));
}

$number_cols = mysqli_num_fields($result);

echo '<table border="1" class="table table-striped">';
echo '<tr align="center">';

for ($i = 0; $i < $number_cols; $i++) {
    $fieldInfo = mysqli_fetch_field_direct($result, $i);
    echo '<th>' . $fieldInfo->name . '</th>';
}

echo '</tr>';

while ($row = mysqli_fetch_assoc($result)) {
    echo '<tr align="left">';
    echo '<td>';
    
    if (!isset($row['record'])) {
        echo 'NULL';
    } else {
        echo '<a href="editview.php?record=' . $row['record'] . '"><img src="../../images/b_edit.png"></a>';
    }

    foreach ($row as $key => $value) 
    {
       if ($key != 'record') {
        echo '<td>';
        echo $value;
       }
    }
    
    echo '</tr>';
}

echo '</table>';

echo '<br><br><font size="1"><center><a href="index.html">Return to index page</a></center></font>';
?>
</div>

</body>
</html>
